#include "fixture.h"

#include <yandex/maps/mrc/toloka_client/requester.h>
#include <yandex/maps/mrc/toloka_client/client.h>

namespace maps {
namespace mrc {
namespace toloka {
namespace io {
namespace test {

TEST_F(TolokaClientFixture, test_get_requester)
{
    Requester requester = client().getRequester();

    EXPECT_EQ(requester.id(), "566ec2b0ff0deeaae5f9d500");
    EXPECT_EQ(requester.publicName().EN(), "Ya.Shield");
    EXPECT_EQ(requester.publicName().RU(), "Я.Щит");
    EXPECT_DOUBLE_EQ(requester.balance(), 121.3);
}

} // test
} // namespace io
} // namespace toloka
} // namespace mrc
} // namespace maps
